local bbbsutil = require "bbbsutil"

function data()
return {
	tracks = {
		{ name = "vehicle/vt614/614_stand.wav", refDist = 25.0 },
		{ name = "vehicle/vt614/614_fahrt.wav", refDist = 25.0 },
		{ name = "vehicle/vt614/614_leer.wav", refDist = 25.0 },
		{ name = "vehicle/vt614/614_kurve.wav", refDist = 20.0 },
		{ name = "vehicle/vt614/614_bremse.wav", refDist = 25.0 }
	},
	events =  {
		openDoors = { names = { "vehicle/vt614/614_tuer_auf.wav" }, refDist = 9.0 },	
		closeDoors = { names = { "vehicle/vt614/614_tuer_zu.wav" }, refDist = 9.0 }
	},

	updateFn = function (input)
		local axleRefWeight = 10.0
		
		return {
			tracks = {
				{ 
					gain = bbbsutil.sampleCurve({ 
									{ .0, 1.0 },
									{ .01, .0 },
									{ 1.0, .0 } }, input.speed01),
					pitch = bbbsutil.sampleCurve({ 
									{ .0, 1.0 },
									{ 0.1, 1.0 },
									{ 1.0, .0 } }, input.speed01)
				},
				{	 
					gain = bbbsutil.sampleCurve({ 
										{ 0.0, .0 },
										{ .3, .2 },
										{ .5, .85 },
										{ 1.0, 1.0 } }, input.power01),
					pitch = bbbsutil.sampleCurve({ 
										{ .0, .9 },  
										{ .01, .9 }, 
										{ .185, 0.9 }, 
										{ .20, 1.05 }, 
										{ .335, 1.05 }, 
										{ .35, 1.2 }, 
										{ 1.0, 1.45 } }, input.speed01)
				},
				{ 
					gain = bbbsutil.sampleCurve({ 
									{ .0, 1.1 },
									{ .1, 1.25 },
									{ 0.7, .2 },
									{ 1.0, .1 } }, input.power01),
					pitch = bbbsutil.sampleCurve({ 
									{ .0, .0 },
									{ 0.001, 1.0 },
									{ 1.0, 1.1 } }, input.speed01)
				},


				bbbsutil.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbbsutil.brake(input.speed, input.brakeDecel, 1.2)
			},
			events = {
			}
		}
	end
}
end
