local bbbsutil = require "bbbsutil"

function data()
return {
	tracks = {
		{ name = "vehicle/vt614/drive.wav", refDist = 25.0 },
		{ name = "vehicle/vt614/614_kurve.wav", refDist = 25.0 },
		{ name = "vehicle/vt614/614_bremse.wav", refDist = 25.0 }
	},
	events = {
		
		openDoors = { names = { "vehicle/vt614/614_tuer_auf.wav.wav" }, refDist = 5.0 },	
		closeDoors = { names = { "vehicle/vt614/614_tuer_zu.wav" }, refDist = 5.0 }
	},

	updateFn = function (input)
		local speed01 = input.speed / input.topSpeed
		local refWeight = 40.0
		local axleRefWeight = 10.0
		
		return {
			tracks = {
				{ 
					gain = bbbsutil.sampleCurve({ { .0, .0 },	{ 1.0, 1.0 } }, speed01),
					pitch = bbbsutil.sampleCurve({ { .0, 1.0 }, { 1.0, 1.15 } }, speed01)
				},
				bbbsutil.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbbsutil.brake(input.speed, input.brakeDecel, 0.5)
			},
			events = {
				clacks = bbbsutil.clacks(input.speed, input.weight, input.numAxles, axleRefWeight, input.gameSpeedUp),
				openDoors = { gain = 1.0, pitch = 1.0 },
				closeDoors = { gain = 1.0, pitch = 1.0 }
			}
		}
	end
}
end
